Subject: bug#35060: 26.1; Incorrect OpenPGP key on Emacs site

From: Andrew Luke Nesbit <[email-masked]>
Date: Tue, 2 Apr 2019 07:13:20 +0100

On 31/03/2019 17:23, Alan Third wrote:
> On Sun, Mar 31, 2019 at 04:16:52PM +0100, Andrew Luke Nesbit wrote:
>> The public key server network has the key marked as revoked:
>> https://keyserver.escomposlinux.org/pks/lookup?search=Nicolas+Petton&fingerprint=on&op=vindex
> 
> You’re looking at the wrong key, I think.

I am indeed looking at the wrong key on the key server.  Nevertheless,
there is still a problem.

The user is instructed to √erify the signature of the download, but the
information about who it's signed by is misleading.  The key that signs
the signature for releases >= 26.1 is not available as far as I can tell.